curl --request POST \
--url https://app.egma.ai/v1/runs/{runId}/cancel \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"suiteId": "<string>",
"suiteName": "<string>",
"suiteDeleted": true,
"name": "<string>",
"status": "pending",
"agentId": "<string>",
"connectionId": "<string>",
"connectionName": "<string>",
"agentPlatform": "<string>",
"connectionType": "<string>",
"accessVariant": "<string>",
"modality": "voice",
"productLabel": "<string>",
"environment": "<string>",
"agentVersion": 123,
"concurrency": 1073741824,
"expectedSimulationCount": 123,
"completedCount": 123,
"failedCount": 123,
"canceledCount": 123,
"simulationCounts": {
"queued": 123,
"claimed": 123,
"running": 123,
"completed": 123,
"failed": 123,
"canceled": 123
},
"finishedCount": 123,
"gradableCount": 123,
"gradedCount": 123,
"resultsUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Cancel a run
curl --request POST \
--url https://app.egma.ai/v1/runs/{runId}/cancel \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"suiteId": "<string>",
"suiteName": "<string>",
"suiteDeleted": true,
"name": "<string>",
"status": "pending",
"agentId": "<string>",
"connectionId": "<string>",
"connectionName": "<string>",
"agentPlatform": "<string>",
"connectionType": "<string>",
"accessVariant": "<string>",
"modality": "voice",
"productLabel": "<string>",
"environment": "<string>",
"agentVersion": 123,
"concurrency": 1073741824,
"expectedSimulationCount": 123,
"completedCount": 123,
"failedCount": 123,
"canceledCount": 123,
"simulationCounts": {
"queued": 123,
"claimed": 123,
"running": 123,
"completed": 123,
"failed": 123,
"canceled": 123
},
"finishedCount": 123,
"gradableCount": 123,
"gradedCount": 123,
"resultsUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
An Egma API key.
Path Parameters
Run ID returned by Create a run or List runs.
1"run_01M0E4J0BBE1FVDVTZ1BSS5C97"
Query Parameters
Project to act in. A project-scoped API key already identifies its project.
1Response
The bounded header for the canceled run.
111Simulation execution status. A completed run can contain failed simulations, and grading may still be in progress.
pending, running, completed, canceled 11voice, chat Maximum active simulations in this run, fixed when the run starts.
1 <= x <= 2147483647Number of test-and-persona combinations captured when the run started.
Show child attributes
Show child attributes
Simulations whose execution completed, failed, or was canceled.
Simulations eligible for grading under the run's frozen grader selection.
Gradable simulations whose grading is complete or errored. This is not a count of passed simulations.
Open this URL in a browser to follow the run and inspect its results.